<?php
require("skipjack.php"); // Gotta have this absolute in every file or it just won't work

//    error_reporting(E_ALL);            // only use this to get all errors.
//    @ini_set('display_errors', '1');   // only use this to get all errors.

$sj = new Skipjack(); 
// $sj->setDeveloper(true); // use the development server address, remove this line to use the live server

$sj->addFields(array(
        'OrderNumber' => '5', 
        'ItemNumber' => 'i5', 
        'ItemDescription' => 'Test Item',
        'ItemCost' => '5.50',
		'SJName' => '000015807366',
		'Email' => 'test@test.com',
		'StreetAddress' => '123 Nowhere',
		'City' => 'Nowhere',
		'State' => 'AZ',
		'ZipCode' => '85206',
		'ShipToPhone' => '480-555-1234',
        'Quantity' => '1',
        'Taxable' => '0',
        'AccountNumber' => '4444333322221111', 
        'Month' => '12',
        'Year' => '2012',
        'TransactionAmount' => '100.00'
    ));
	
	
if($sj->process() && $sj->isApproved()) { 
    echo "Transaction approved!<br />";
} else {
    echo "Transaction declined!\n<br />";
	print_r($sj->getErrors());
    echo "<br />Errors: " . $sj->getErrors();



	
}
?>